SDL_ReadSurfacePixelFloat(3)

NAME
SDL_ReadSurfacePixelFloat - Retrieves a single pixel from a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_ReadSurfacePixelFloat(SDL_Surface *surface, int x, int y, float *r, float *g, float *b, float *a);

DESCRIPTION
This function prioritizes correctness over speed: it is suitable for unit tests, but is not intended for use in a game engine.

FUNCTION PARAMETERS

surface
    the surface to read.

x   the horizontal coordinate, 0 <= x < width.

y   the vertical coordinate, 0 <= y < height.

r   a pointer filled in with the red channel, normally in the range 0-1, or NULL to ignore this channel.

g   a pointer filled in with the green channel, normally in the range 0-1, or NULL to ignore this channel.

b   a pointer filled in with the blue channel, normally in the range 0-1, or NULL to ignore this channel.

a   a pointer filled in with the alpha channel, normally in the range 0-1, or NULL to ignore this channel.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.